%define upstream_name	 Convert-Binary-C
%define upstream_version 0.78

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Convert::Binary::C is a preprocessor and parser for C type definitions. 
It is highly configurable and supports arbitrarily complex data structures. 
Its object-oriented interface has pack and unpack methods that act as 
replacements for Perl's pack and unpack and allow to use C types instead 
of a string representation of the data structure for conversion of binary 
data from and to Perl's complex data structures.

Actually, what Convert::Binary::C does is not very different from what a 
C compiler does, just that it doesn't compile the source code into an object 
file or executable, but only parses the code and allows Perl to use the 
enumerations, structs, unions and typedefs that have been defined within 
your C source for binary data conversion, similar to Perl's pack and unpack.

Beyond that, the module offers a lot of convenience methods to retrieve 
information about the C types that have been parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%{_bindir}/*
%doc Changes META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.780.0-2.mga6
+ Revision: 1024349
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.780.0-1.mga6
+ Revision: 1001748
- update to 0.78

* Fri Feb 12 2016 umeabot <umeabot> 0.770.0-2.mga6
+ Revision: 956908
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 0.770.0-1.mga6
+ Revision: 856542
- update to 0.77

* Fri Jun 26 2015 sander85 <sander85> 0.760.0-11.mga6
+ Revision: 843991
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.760.0-10.mga5
+ Revision: 789116
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.760.0-9.mga5
+ Revision: 741888
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.760.0-8.mga5
+ Revision: 684014
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.760.0-7.mga5
+ Revision: 630933
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.760.0-6.mga4
+ Revision: 524231
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.760.0-5.mga4
+ Revision: 430596
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.760.0-4.mga3
+ Revision: 364775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.760.0-3.mga3
+ Revision: 250372
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.760.0-2.mga2
+ Revision: 103751
- perl 5.14

* Tue Apr 12 2011 kharec <kharec> 0.760.0-1.mga1
+ Revision: 83536
- update to new version 0.76

* Fri Jan 21 2011 jquelin <jquelin> 0.740.0-2.mga1
+ Revision: 29960
- mageia rebuild
- imported package perl-Convert-Binary-C


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.740.0-2mdv2011.0
+ Revision: 555701
- rebuild

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.740.0-1mdv2010.0
+ Revision: 409024
- rebuild using %%perl_convert_version

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.74-1mdv2010.0
+ Revision: 372090
- update to new version 0.74

* Fri Mar 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.73-1mdv2009.1
+ Revision: 359033
- update to new version 0.73

* Mon Mar 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.72-1mdv2009.1
+ Revision: 355675
- new version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.71-2mdv2009.0
+ Revision: 268402
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 22 2008 Stéphane Téletchéa <steletch@mandriva.org> 0.71-1mdv2009.0
+ Revision: 196673
-Added missing BuildRequires
- import perl-Convert-Binary-C


* Tue Apr 22 2008 0.71-1mdv2008.1 Stephane Teletchea <steletch@mandriva.org>
- Initial package
